#include <bits/stdc++.h>
using namespace std;
long long a[32010],b[32010],c[10000000][3];
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    
	long long n;
	cin>>n;
    for (long long i=0;i<n;i++)
    {
        cin >>a[i];
        b[i] = a[i];
    }
    sort(b,b+n);
    if (n==2 && a[0]<a[1]) cout <<0;
    else if (n==2 && a[0]>a[1]) cout <<1<<endl<<1<<" "<<2;
    else cout <<0;  
}
